%define cvsversion 19991004

Summary: A GNU source-level debugger for C, C++ and Fortran.
Name: gdb
Version: 4.18
Release: 14mdk
Copyright: GPL
Group: Development/Other
Source0: ftp://sourceware.cygnus.com/pub/gdb/snapshots/gdb-%{cvsversion}.tar.bz2
Source1: %{name}-16.xpm
Source2: %{name}-32.xpm
Source3: %{name}-48.xpm
Patch1: gdb-4.18-sparc.patch.bz2
Patch3: gdb-4.18-sparcmin.patch.bz2
Patch4: gdb-4.18-sparccore.patch.bz2
Patch5: gdb-4.18-i386-gregset.patch.bz2
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/install-info

%description
Gdb is a full featured, command driven debugger. Gdb allows you to
trace the execution of programs and examine their internal state at
any time.  Gdb works for C and C++ compiled with the GNU C compiler
gcc.

If you are going to develop C and/or C++ programs and use the GNU gcc
compiler, you may want to install gdb to help you debug your
programs.

%prep
%setup -q -n gdb-%{cvsversion}

%patch3 -p1
%patch1 -p1
%patch4 -p1
%patch5 -p1

%build
perl -p -i -e 's|VERSION = %{cvsversion}|VERSION = %{version}|' gdb/Makefile.in
%configure

make CFLAGS="$RPM_OPT_FLAGS"
make info

%install
rm -rf $RPM_BUILD_ROOT
make install install-info prefix=$RPM_BUILD_ROOT/usr

rm -f $RPM_BUILD_ROOT/usr/info/dir $RPM_BUILD_ROOT/usr/info/dir.info*
rm -f $RPM_BUILD_ROOT/usr/info/bfd*
rm -f $RPM_BUILD_ROOT/usr/info/readline* $RPM_BUILD_ROOT/usr/info/history*
rm -f $RPM_BUILD_ROOT/usr/info/standard*
rm -f $RPM_BUILD_ROOT/usr/bin/{texindex,texi2dvi,makeinfo,install-info,info}
rm -f $RPM_BUILD_ROOT/usr/info/texinfo* ./usr/info/info*
rm -f  $RPM_BUILD_ROOT/usr/man/*/readline*
rm -rf $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/share

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu/
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):\
 needs="text"\
 section="Applications/Development/Tools"\
 title="Gdb"\
 longtitle="The GNU debugger"\
 command="gdb"\
 icon=%{name}.xpm
EOF
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/{mini,large}/
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ];then
		update-menus
fi
/sbin/install-info /usr/info/gdb.info.bz2 /usr/info/dir
/sbin/install-info /usr/info/gdbint.info.bz2 /usr/info/dir
/sbin/install-info /usr/info/mmalloc.info.bz2 /usr/info/dir
/sbin/install-info /usr/info/stabs.info.bz2 /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gdb.info.bz2 /usr/info/dir
    /sbin/install-info --delete /usr/info/gdbint.info.bz2 /usr/info/dir
    /sbin/install-info --delete /usr/info/mmalloc.info.bz2 /usr/info/dir
    /sbin/install-info --delete /usr/info/stabs.info.bz2 /usr/info/dir
fi

%postun
if [ -x /usr/bin/update-menus ];then
		update-menus
fi

%files
%defattr(-,root,root)
/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm
/usr/share/icons/large/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm
/usr/bin/*
/usr/man/*/gdb.*
/usr/info/gdb.info*
/usr/info/gdbint.info*
/usr/info/stabs.info*
/usr/info/mmalloc.info*

%changelog
* Sat Apr 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.18-14mdk
- Set VERSION to version rpm not to cvs date.
- Fix menu post/postun.
- Add all size of icons.

* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.18-13mdk
- Add menu and icon.
- Clean-up specs.
- Adjust groups.
- Back to snapshots 19991004 for glibc-2.1.3.

* Mon Nov 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Using cvs snapshot, merging.
- merging with redhat patchs.

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>

- thread safe release
